Subject: libpl.dll on win32

From: "Petr Kocmid" <[email-masked]>
Date: Fri, 25 Feb 2000 12:57:56 +0100

Hi,

Investigating libpl.dll architecture in Dependency
Walker, it shows libpl dynamic library imports 
winsock.

wsock32.dll:
ordinal 18 select
ordinal 151 __WSDAFDIsSet

I was curious why. Closer look into source shows 
winsock select() is used 3 times at:

pl-file.c(1038)
pl-fli.c(2580)
pl-os.c(2652)

At all those places, it looks like the only purpose of 
select() is.. timing only. Seems to me as an overkill.

Straightforward way to get rid of it is to #undef
HAVE_SELECT in config/win32.h. I did that and plwin
is working ok, having no more wsock32.dll binding in 
libpl.dll.

Am I missed something, or does it make sense to implement 
another timing method?

What about other platforms?

Sorry for my inquisitive nature ;-).

Petr Kocmid
[email-masked]